Page MenuHomePhabricator

Create diff view for prototype
Closed, ResolvedPublic

Description

Based on the results of T137318 the prototype should get some changes. One of them is mocking up a diff view which allows to see changes by both "Me" and "Them". It needs to be easy to understand and copy-paste-friendly.

Related to: T138940

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 12:11 PM

In common word processors, it is standard to underline added text and cross-through deleted text. Changes by different people appear in different colors.

In git, conflicting changes get

<<<<<<<
this is theirs
=======
this is yours
>>>>>>

It is plain text, so what was deleted is inferred by comparing mine vs. theirs, or by a diff per version against the common ancestor (hope I got this right)

There are some diff viewers which lock scrolling, e.g. meld diff, which means that they try to scroll two side by side versions in sync (as good as possible)

Jan_Dittrich moved this task from Incoming to Review on the WMDE-Design board.Jun 30 2016, 9:38 AM
Jan_Dittrich moved this task from Review to Done on the WMDE-Design board.Jul 4 2016, 9:42 AM
Charlie_WMDE closed this task as Resolved.Jul 7 2016, 11:43 AM